from setuptools import setup, Extension
import os

kw = dict(name="zopfli", libraries=["zopfli"])
try:
    if int(os.getenv("WITHOUT_CYTHON") or 0):
        raise ImportError
    from Cython.Build import cythonize
except ImportError:
    ext_modules = [Extension(sources=["zopfli.c"], **kw)]
else:
    ext_modules = cythonize([Extension(sources=["zopfli.pyx"], **kw)])

classifiers = """\
License :: OSI Approved :: GNU General Public License v2 or later (GPLv2+)
Programming Language :: Cython
Programming Language :: Python :: 2
Programming Language :: Python :: 3
"""

setup(
    name = 'cython-zopfli',
    version = '0.1',
    description = 'Zopfli bindings for Python',
    author = 'Nexedi',
    author_email = 'jm@nexedi.com',
    url = 'https://lab.nexedi.com/nexedi/cython-zopfli',
    license = 'GPL 2+',
    classifiers=classifiers.splitlines(),
    ext_modules = ext_modules,
)
